cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

rancher shows error liboneagentproc cannot be preload

henk_stobbe
DynaMight Mentor
DynaMight Mentor

Hello,

When using Dynatrace and Rancher the following error will be show'n in rancher console:

ERROR:ld.so: object'/opt/dynatrace/oneagent/agent/lib64/liboneagentproc.so' from /etc/ld.so.preload cannot be preloaded (cannot load shared object file): ignored HOSTXX

clearing the ld.so.preload file works.

Does anybody recognize this scenario? Is this an error in the creation of the Racher container?


KR Henk


7 REPLIES 7

sebastian_kryst
DynaMight Leader
DynaMight Leader

Did you resolved it? I suppose that this may need support ticket for investigation.

Sebastian


jonathan_kenned
Inactive

We just hit this issue. Has to do with docker not being able to find the liboneagentproc.so file after the 1.189 agent update as the path was changed in that version. This occurred when the host got the new version of the agent but had not yet been restarted. Restarting docker fixed the issue.

oneagent storage path (/opt/dynatrace/oneagent/agent/lib64/liboneagentproc.so), whilst starting from 1.189 said dynamic library is stored in version-specific path (in this case /opt/dyntrace/oneagent/bin/1.189.160.20200407-143018/linux-x86-64/liboneagentproc.so)

Same here. The nodes that were updated last night are missing these files.

Hi,

please create a support ticket if you've experienced this issue.

We've already identified a bug in the product and are working on a fix.

Regards,
Tomasz

They are pushing a fix for this for v1.189 of the oneagent.

Hi,

Anyone has any updates about this?

I had the same issue in my cluster, I was not able to create new pods after this update:

ERROR: ld.so: object '/opt/dynatrace/oneagent/agent/lib64/liboneagentproc.so' from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.


Regards

Thiago Leite

conrado
Newcomer

Hi All, would like to also ask if this issue was addressed since we also encountered this error on 1.185 version of oneagent even though there's no present docker or rancher. hoping to find some answers from other users that may have encountered this.

Thanks,

Con